[Numpy-discussion] F2PY error : ... on platform 'posix' with 'gcc' compiler

Robert Kern robert.kern@gmail....
Fri Sep 25 12:51:37 CDT 2009


On Fri, Sep 25, 2009 at 12:35, Arthur Bousquet <arthbous@indiana.edu> wrote:
> Thank you. So here the command :
>
> Arths-MacBook-Pro:~ arthbous$ grep isysroot
> /Library/Frameworks/Python.framework/Versions/Current/lib/python2.6/config/Makefile
> BASECFLAGS=    -arch ppc -arch i386 -isysroot
> /Developer/SDKs/MacOSX10.4u.sdk  -fno-strict-aliasing -fPIC -fno-common
> -dynamic
> LDFLAGS=    -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk
>             -isysroot "${UNIVERSALSDK}" \
>
> But I have 2 pythons installed, the 2.6.1 from xcode of apple and the one I
> compiled myselft 2.6.2 in /usr/local/. Which one is in this Library ?

Not the latter. I think you may be confused about the former. I don't
believe that Python comes from Xcode. The one from OS X is in
/System/Library/Frameworks/.... This one looks like a third one
installed from some other source, like binaries from www.python.org.

Exactly which python executable is f2py using? Check the first line in
the f2py2.6 script.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
  -- Umberto Eco


More information about the NumPy-Discussion mailing list